package com.jkcredit.invoice.service.nocar.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.jkcredit.invoice.mapper.customer.CustomerCarRecMapper;
import com.jkcredit.invoice.model.entity.customer.CustomerCarRec;
import com.jkcredit.invoice.service.nocar.NoCarRecService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
@Service
public class NoCarRecServiceImpl extends ServiceImpl<CustomerCarRecMapper,CustomerCarRec> implements NoCarRecService {
    @Autowired
    CustomerCarRecMapper customerCarRecMapper;
    @Override
    public IPage<List<CustomerCarRec>> findByPageAndCarRec(Page page, CustomerCarRec customerCarRec) {
        return customerCarRecMapper.selectAllByPage(page,customerCarRec);
    }
}
